<< Back to man.ChinaUnix.net

<-
Apache > HTTP Server > 文档 > 版本2.2
   致谢 | 本篇译者:金步国(其他作品) | 本页最后更新:2006年10月20日[查看最新版本] | 电信镜象 | 网通镜象 | 教育网镜象

从2.0升级到2.2

为了帮助大伙儿升级,我们为现在的Apache用户提供了一份重要信息的文档说明。这些只是一些简要说明,你可以从新特性文档或src/CHANGES文件中得到更多信息。

这篇文档仅仅描述了从版本 2.0 到 2.2 的变化,如果你是从1.3版进行升级的,请查考从1.3升级到2.0文档。

top

编译时配置的改变

编译过程与2.0版本非常相似,你曾经使用过的configure命令行(在安装目录下的build/config.nice文件中)在某些情况下仍然可以使用。主要是模块的名称变化了,特别是认证和授权模块。具体如下:

top

运行时配置的改变

除了下面讨论的某些特定配置需要进行很小的调整以外,现存的2.0版本的配置文件和启动脚本基本上不需要修改就可以直接用在2.2版本中。另外,如果你使用LoadModule动态加载了标准模块。你还需要根据上面提到的模块名变更情况适当修改原有配置文件。

如果你选择使用新的2.2版默认配置文件,你将会发现它已经删除了绝大多数不属于基本配置的指令,比以前大大简化了。在安装目录下的conf/extra/子目录中,有一组包含许多高级特性的示例配置。默认的配置文件被安装在conf/original子目录中。

一些需要注意的运行时配置更改:

top

杂项变化

top

第三方模块

大多数2.0版本的第三方模块可以不加修改的运行于2.2版本中。但是这些模块必须要重新进行编译后才能使用。